summaryrefslogtreecommitdiff
path: root/dev-python/fonttools
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/fonttools
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/fonttools')
-rw-r--r--dev-python/fonttools/Manifest1
-rw-r--r--dev-python/fonttools/fonttools-4.1.0.ebuild50
-rw-r--r--dev-python/fonttools/metadata.xml17
3 files changed, 68 insertions, 0 deletions
diff --git a/dev-python/fonttools/Manifest b/dev-python/fonttools/Manifest
new file mode 100644
index 000000000000..048584b5158f
--- /dev/null
+++ b/dev-python/fonttools/Manifest
@@ -0,0 +1 @@
+DIST fonttools-4.1.0.tar.gz 2253792 BLAKE2B 470207d74404851aa111142ad8541d45820ded0212029867c289f2e7741d4b41b4ac824f65555a23d4f3dcc974428537cd319a8787bc4d80f2fb67561a21d1ee SHA512 3d9485cd34b5ea3dfdcc26474e0b21a96811b84eda16341c39165aea72bb09c3cf3360a069b316ae6575a399e26f6518c199180caec7bb959f245ced7ca45e3b
diff --git a/dev-python/fonttools/fonttools-4.1.0.ebuild b/dev-python/fonttools/fonttools-4.1.0.ebuild
new file mode 100644
index 000000000000..f15fbef58011
--- /dev/null
+++ b/dev-python/fonttools/fonttools-4.1.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{3_6,3_7,3_8} )
+PYTHON_REQ_USE="xml(+)"
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="Library for manipulating TrueType, OpenType, AFM and Type1 fonts"
+HOMEPAGE="https://github.com/fonttools/fonttools/"
+SRC_URI="https://github.com/fonttools/fonttools/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ppc ppc64 sparc x86"
+RESTRICT="!test? ( test )"
+IUSE="test"
+
+RDEPEND=""
+DEPEND="${RDEPEND}
+ test? (
+ >=dev-python/pytest-2.8[${PYTHON_USEDEP}]
+
+ >=dev-python/fs-2.4.9[${PYTHON_USEDEP}]
+ app-arch/brotli[python,${PYTHON_USEDEP}]
+ app-arch/zopfli
+ )"
+
+python_prepare_all() {
+ # When dev-python/pytest-shutil is installed, we get weird import errors.
+ # This is due to incomplete nesting in the Tests/ tree:
+ #
+ # Tests/feaLib/__init__.py
+ # Tests/ufoLib/__init__.py
+ # Tests/svgLib/path/__init__.py
+ # Tests/otlLib/__init__.py
+ # Tests/varLib/__init__.py
+ #
+ # This tree requires an __init__.py in Tests/svgLib/ too, bug #701148.
+ touch Tests/svgLib/__init__.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ # virtualx used when matplotlib is installed causing plot module tests to run
+ virtx pytest -vv Tests fontTools
+}
diff --git a/dev-python/fonttools/metadata.xml b/dev-python/fonttools/metadata.xml
new file mode 100644
index 000000000000..63baba40ae16
--- /dev/null
+++ b/dev-python/fonttools/metadata.xml
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>fonts@gentoo.org</email>
+ <name>Fonts</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <stabilize-allarches/>
+ <upstream>
+ <remote-id type="github">fonttools/fonttools</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>